| Visioscan Set SDK Libraries 1.0.28 Visioscan Set SDK Help documentation file for C++ and C++/CLI |

Loading...
Searching...
No Matches
Public Member Functions | List of all members
SoftwareVersion Class Reference

Helper to encapsulate the software version. More...

`#include <SoftwareVersion.h>`

## Public Member Functions
unsigned int | GetVersion ()
| Gets the internal software version.
void | SetVersion (unsigned int pVersion)
| Sets the internal software version.
unsigned int | GetRevision ()
| Gets the internal software revision.
void | SetRevision (unsigned int pRevision)
| Sets the internal software revision.
unsigned int | GetPrototype ()
| Gets the internal prototype code.
void | SetPrototype (unsigned int pPrototype)
| Sets the internal prototype code.
unsigned long | GetCanNumber ()
| Gets the internal CAN number.
void | SetCanNumber (unsigned long pCanNumber)
| Sets the internal CAN number.
unsigned int | GetHardwareVersion ()
| Gets the Hardware version.
void | SetHardwareVersion (unsigned int pHardwareVersion)
| Sets the Hardware version.
unsigned long | GetPartNumber ()
| Gets the internal part number.
void | SetPartNumber (unsigned long pPartNumber)
| Sets the internal part number.
PRODUCT_IDENTIFICATION | GetProductIdentification ()
| Gets the product identification.
void | SetProductIdentification (PRODUCT_IDENTIFICATION pProductIdentification)
| Sets the product identification.

## Detailed Description

Helper to encapsulate the software version.

## Member Function Documentation

## ◆ GetCanNumber()

unsigned long SoftwareVersion::GetCanNumber | ( |  | ) |

Gets the internal CAN number.

Returns
  The internal CAN number as an long

## ◆ GetHardwareVersion()

unsigned int SoftwareVersion::GetHardwareVersion | ( |  | ) |

Gets the Hardware version.

Returns
  The internal hardware version

## ◆ GetPartNumber()

unsigned long SoftwareVersion::GetPartNumber | ( |  | ) |

Gets the internal part number.

Returns
  The internal part number as an long

## ◆ GetProductIdentification()

PRODUCT_IDENTIFICATION SoftwareVersion::GetProductIdentification | ( |  | ) |

Gets the product identification.

Returns
  RAW_DATA, ANTI_COLLISION, NAVIGATION or UNKNOWN_PRODUCT

## ◆ GetPrototype()

unsigned int SoftwareVersion::GetPrototype | ( |  | ) |

Gets the internal prototype code.

Returns
  The internal prototype code as an int

## ◆ GetRevision()

unsigned int SoftwareVersion::GetRevision | ( |  | ) |

Gets the internal software revision.

Returns
  The internal software revision as an int

## ◆ GetVersion()

unsigned int SoftwareVersion::GetVersion | ( |  | ) |

Gets the internal software version.

Returns
  The internal software version as an int

## ◆ SetCanNumber()

void SoftwareVersion::SetCanNumber | ( | unsigned long | pCanNumber | ) |

Sets the internal CAN number.

Parameters

  pSerial | The internal CAN number to be set

## ◆ SetHardwareVersion()

void SoftwareVersion::SetHardwareVersion | ( | unsigned int | pHardwareVersion | ) |

Sets the Hardware version.

Parameters

  pHardwareVersion | The internal hardware version

## ◆ SetPartNumber()

void SoftwareVersion::SetPartNumber | ( | unsigned long | pPartNumber | ) |

Sets the internal part number.

Sets the internal part number

Parameters

  pPartNumber | The internal part number to be set

Parameters

  pPartNumber | The internal part number to be set

## ◆ SetProductIdentification()

void SoftwareVersion::SetProductIdentification | ( | PRODUCT_IDENTIFICATION | pProductIdentification | ) |

Sets the product identification.

Parameters

  pProductIdentification | Can be RAW_DATA, ANTI_COLLISION, NAVIGATION or UNKNOWN_PRODUCT

## ◆ SetPrototype()

void SoftwareVersion::SetPrototype | ( | unsigned int | pPrototype | ) |

Sets the internal prototype code.

Parameters

  pPrototype | The internal prototype code to be set

## ◆ SetRevision()

void SoftwareVersion::SetRevision | ( | unsigned int | pRevision | ) |

Sets the internal software revision.

Parameters

  pRevision | The internal software revision to be set

## ◆ SetVersion()

void SoftwareVersion::SetVersion | ( | unsigned int | pVersion | ) |

Sets the internal software version.

Parameters

  pVersion | The internal software version to be set

The documentation for this class was generated from the following files:

- SoftwareVersion.h
- SoftwareVersion.cpp